SoTextureUnitElement(3)

NAME
SoTextureUnitElement - The SoTextureUnitElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoTextureUnitElement.h>

Inherits SoInt32Element.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const int units)
FIXME: write doc.
static int get (SoState *state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoTextureUnitElement ()

  Additional Inherited Members

Detailed Description

The SoTextureUnitElement class is yet to be documented. This element is used for keeping control of multitexturing usage.

FIXME: write doc.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
Since
    Coin 2.2

Constructor & Destructor Documentation

  SoTextureUnitElement::~SoTextureUnitElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextureUnitElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoTextureUnitElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoTextureUnitElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoTextureUnitElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoTextureUnitElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is 0.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.